Good afternoon,


We have noticed a few posts on the Facebook Group, where Users have bee saying they can not install any of the Builds.

This is due to the Wizard now changing, and you are still using the old Kirks Wizard. All Users need to Clear Data, on Kodi or install the new APK.

The reason Users that have been having the issue with the Zip URL error, is because they still have the old Build installed, with the old Wizard. It will not work. As the older Wizard is no longer in use, and the new Wizard, can’t be installed over the old one.


How to fix the URL Zip error:

First of all, please go to your device App settings, and clear Data on Kodi.

Once you have cleared Data, please follow This Guide (Click me)

The new URL: needs to be used.

Please note: If you are using the old Kirks APK. Please Uninstall it, and Install the new APK By clicking this link

We advise all Firestick Users, to use the Downloader App, and insert the following url to get the APK:


Once you have followed the above link Guide, all will be good, and the Builds will install fine.


Insomniacs Team.

Facebook Comments
Share to social Media!Share on Facebook0Share on Google+0Tweet about this on TwitterShare on LinkedIn0Email this to someone

16498total visits,16visits today